| MissingH-1.1.0.3: Large utility library | Contents | Index
Data.Maybe.Utils |
Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>
Description
Utilities for working with the Either data type Copyright (c) 2004 John Goerzen, jgoerzen@complete.org
Synopsis
forceMaybe :: Maybe a -> a
forceMaybeMsg :: String -> Maybe a -> a
Documentation
forceMaybe :: Maybe a -> a
Pulls a Just value out of a Maybe value. If the Maybe value is Nothing, raises an exception with error.
forceMaybeMsg :: String -> Maybe a -> a
Like `forceMaybe`, but lets you customize the error message raised if Nothing is supplied.
Produced by Haddock version 2.7.2